GET
Get Deployment Configuration

Authorizations

Authorization
string
header
required

Simplismart API key (Settings > API Keys).

Query Parameters

model_id
string<uuid>
required

Model to configure. 404 Invalid model_id if not accessible.

workspace_id
string<uuid>

Workspace UUID (alias workspaceId). Defaults to the organisation's default workspace.

cluster_id
string<uuid>

Target cluster.

node_group_id
string

Comma-separated node group UUIDs.

deployment_id
string<uuid>

Existing deployment in the same org and workspace.

model_version_id
string<uuid>

Defaults to the deployment's pinned version, else the latest.

processing_mode
string
machine_type_uuid
string<uuid>
accelerator_type
string
region_code
string
sidecar_model_ids
string

Comma-separated model UUIDs.

websocket_enabled
string

Accepts 1/true/yes/enabled and 0/false/no/disabled.

Response

Successful response

metrics
object[]
default_config
object
resource_limits
object
supports_custom_metrics
boolean